<?php

namespace common\logic\User\UserUserGroup\Wrapper;

use common\logic\AbstractContainer;
use common\logic\User\UserUserGroup\Model\UserUserGroup;
use common\logic\User\UserUserGroup\Repository\UserUserGroupRepository;
use common\logic\User\UserUserGroup\Service\UserUserGroupBuilder;

class UserUserGroupContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return UserUserGroup::class;
    }

    public function getServices(): array
    {
        return [
            UserUserGroupRepository::class,
            UserUserGroupBuilder::class
        ];
    }

    public function getRepository(): UserUserGroupRepository
    {
        return UserUserGroupRepository::getInstance();
    }

    public function getBuilder(): UserUserGroupBuilder
    {
        return UserUserGroupBuilder::getInstance();
    }
}